Subject: [PATCH 5/5] arm/perfevents: implement perf event support for ARMv6

From: [email-masked] (Will Deacon)
Date: Wed, 27 Jan 2010 17:26:27 -0000

Hi Jean,

* Jean Pihet wrote:

> Here is the latest version of the patch, after review on the ML. 
> Adds the Performance Events support for ARMv7 processor, using
> the PMNC unit in HW.

I tested this on a dual-core Cortex-A9 [Realview PBX board].
One thing I noticed was that, even if you don't add the PMU IRQs to
kernel/pmu.c, perf will still report event counts [I guess this is
due to sampling on context switch etc]. However, if the IRQs are
defined, but for some reason we fail to request them, then the
armpmu_reserve_hardware function will fail. Actually, the return
value appears to be uninitialised if you don't have any IRQs defined.

Anyway, apart from that, it appeared to work fine.

Tested-by: Will Deacon <[email-masked]>

Will